octave 4.0.0

Orion Poplawski orion at cora.nwra.com
Tue Jul 7 21:59:16 UTC 2015


On 07/07/2015 03:44 PM, Kevin Kofler wrote:
> Hi,
> 
> ---- Orion Poplawski <orion at cora.nwra.com> wrote:
>> On 07/07/2015 03:10 AM, José Matos wrote:
>>> On Monday 06 July 2015 14:20:20 Orion Poplawski wrote:
>>>> qtoctave-0.10.1-17.fc22.src.rpm
>>>
>>> Why is this still being built?
>>>
>>> Upstream has been abandoned. And some of the code has migrated/inspired octave GUI so qtoctave is no more relevant or useful and it should be retired. The introduction of octave 4.0 seems to be the right time for the retirement.
>>>
>>> My proposal is to not rebuild qtoctave an to retire it for rawhide.
>>>
>>> Regards,
>>>
>>
>> I strongly agree.
> 
> I am one of the comaintainers of the qtoctave package. I know the package is
> dead upstream. But last I checked, it worked. (There had been some issues, but I
> fixed those that I found.) If it still works fine, I object to retiring it.
> 
> That said, I admit I haven't had the occasion to try the new Octave GUI yet. It
> may or may not be an adequate replacement for all users.
> 
>         Kevin Kofler
> 

Well, at least one thing will need to get fixed - qtoctave starts octave,
which in 4.0.0 starts the gui - so you end up with two guis active, and
probably a non-working qtoctave.  Looks like you need to pass "--no-gui"
option to octave.

The new octave qui is Qt based, so you might like it :).

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion at nwra.com
Boulder, CO 80301                   http://www.nwra.com


More information about the devel mailing list